import { format } from "date-fns";
import eventdays from "./eventdayData.js";
import config from "../config.js";

export default async function EventDays() {
  const now = format(new Date(), "MM/dd");

  for (let i = 0; i < Object.keys(eventdays).length; i++) {
    const day = Object.keys(eventdays)[i];
    const value = Object.values(eventdays)[i];
    const name = value.name;
    const message = value.message;

    if (day === now) {
      const req = await fetch(`${config.uwuzu.host}/api/ueuse/create`, {
        method: "POST",
        body: JSON.stringify({
          token: config.uwuzu.apiToken,
          text:
          `今日は${name}です
          ${message}`,
        }),
      });

      const res = await req.json();

      console.log("祝日等ユーズ：", res);
    }
  }
}
